> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runaether.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List billing warm slots



## OpenAPI

````yaml api-reference/openapi.account.json GET /billing/slots
openapi: 3.1.0
info:
  title: Aether Account & Integrations API
  version: 0.1.0
  description: >-
    Account, billing, and integration-management endpoints used by the Aether
    web app and CLI. Root-mounted; NOT part of the versioned /v1 contract.
servers:
  - url: https://api.runaether.dev
security:
  - bearerAuth: []
paths:
  /billing/slots:
    get:
      tags:
        - billing
      summary: List billing warm slots
      operationId: listBillingWarmSlots
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BillingWarmSlotsResponse'
          description: OK
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    BillingWarmSlotsResponse:
      additionalProperties: false
      properties:
        allocated:
          format: int64
          type: integer
        max_slots:
          format: int64
          type: integer
        slots:
          items:
            $ref: '#/components/schemas/BillingWarmSlot'
          type: array
        tier:
          enum:
            - free
            - starter
            - pro
            - max
          type: string
      required:
        - tier
        - max_slots
        - allocated
        - slots
      type: object
    ErrorResponse:
      additionalProperties: false
      properties:
        code:
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
      type: object
    BillingWarmSlot:
      additionalProperties: false
      properties:
        failure_reason:
          type: string
        id:
          format: uuid
          type: string
        last_resumed_at:
          type: string
        last_synced_at:
          type: string
        project_id:
          format: uuid
          type: string
        slot_index:
          format: int64
          minimum: 0
          type: integer
        snapshot_id:
          type: string
        status:
          enum:
            - unassigned
            - provisioning
            - ready
            - stale
            - refreshing
          type: string
      required:
        - slot_index
        - status
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````